<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core">

<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Candidats</title>
    </ui:define>

    <ui:define name="content">

     <c:if test="#{mbLogin.sessionRecruiter!=null}">


        <h:outputStylesheet library="css" name="candidateStyle.css"/>
        <div class="" style="display: flex; justify-content:center">
            <b:form>
                <div class="RespAndCandidateNav"
                     style="display:flex; flex: 1; width: 20vw; flex-wrap: wrap;flex-direction:column;">
                    <div class="Filter"
                         style=" flex : 1; margin-top:0rem; height:7vh; display: flex;flex-wrap: wrap; justify-content: space-around;padding: 1rem ">
                        <b:button value="Filter les resultats" look="warning" onclick="$('.filterModal').modal()"></b:button>

                    </div>
                    <div class="CandidateList" style="display: flex; flex-direction:column; flex:8">
                        <h:outputScript library="js" name="candidate.js"></h:outputScript>
                        <div style="padding:1rem; background-color:#F2F2F2; flex:1; border: solid darkgray thin; border-radius: 10px;">
                            <div class="CandidatePanel"
                                 style=" display:flex; flex-direction:column; align-content:center; height: 75vh; overflow-y: scroll;">
                                <c:forEach var="candidate"
                                           items="#{mbCandidate.candidates}">
                                    <div style="flex:1;  "
                                    >
                                        <b:panel class="candidatePanel"
                                                 title="#{candidate.getFirstName()} #{candidate.getLastName() }"
                                                 look="primary" style="cursor:pointer;" collapsible="false"
                                                 onclick="candidateDetail('#{candidate.getFirstName()} #{candidate.getLastName() }',
                                                           '#{candidate.getSalary()}',
                                                           '#{candidate.getCity().getCityName()} #{candidate.getCity().getPostCode()}',
                                                           '#{candidate.getStudyLevel().getLevel()}',
                                                           '#{candidate.getPhoneNumber()}',
                                                           '#{candidate.getMail()}',
                                                           '#{candidate.getAvailabilityPeriod().getName()}',
                                                            '#{mbCandidate.getFirstResumeByCandidateId(candidate.id).getPath()}',
                                                            '#{candidate.id}');"
                                        >
                                            <ul>
                                                <li>#{candidate.getStudyLevel().getLevel()}</li>
                                                <li>disponibilité : #{candidate.getAvailabilityPeriod().getName()}</li>
                                                <li>#{candidate.getSalary()}  € par an</li>
                                            </ul>
                                        </b:panel>
                                    </div>
                                </c:forEach>
                            </div>
                        </div>
                    </div>

                </div>
            </b:form>
            <div class="CandidateBlock" style="flex: 1; width: 60vw;visibility: hidden ;">

                <div class="CandidateInfo"
                     style="background-color: #DFF2FF; padding: 2rem; margin: 1rem; border-radius: 3px">

                    <b:form>
                        <div class="detailListCandidate"
                             style="display: flex; justify-content: flex-start; margin-bottom: 2rem">
                            <div class="detailListCandidate1">
                                <div class="adress"
                                     style="display: flex; justify-content:flex-start; flex:1">
                                    <b:icon value="globe" size="2x"/>
                                    <h:outputText class="AdressInput"
                                                  style="margin-left : 5rem; font-weight: bold"
                                                  value=""></h:outputText>
                                </div>
                                <div class="Salary"
                                     style="display: flex; justify-content:flex-start">
                                    <b:icon value="euro" size="2x"/>
                                    <h:outputText class="SalaryInput"
                                                  style="margin-left : 5rem; font-weight: bold"
                                                  value="52000€/an"></h:outputText>
                                </div>
                                <div class="Diploma"
                                     style="display: flex; justify-content:flex-start">
                                    <b:iconAwesome value="fa-book" size="2x"/>
                                    <h:outputText class="DiplomaInput"
                                                  style="margin-left : 5rem; font-weight: bold"
                                                  value="bac + 5"></h:outputText>
                                </div>
                            </div>
                            <div class="detailListCandidate2" style="margin-left: 4vw">
                                <div class="phone"
                                     style="display: flex; justify-content:flex-start;flex:1">
                                    <b:icon value="phone" size="2x"/>
                                    <h:outputText class="PhoneInput"
                                                  style="margin-left : 5rem; font-weight: bold"
                                                  value="06 58 28 98 98"></h:outputText>
                                </div>
                                <div class="mail" style="display: flex; justify-content:flex-start">
                                    <b:icon value="envelope" size="2x"/>
                                    <h:outputText class="MailInput"
                                                  style="margin-left : 5rem; font-weight: bold"
                                                  value="a.legrand@hotmail.fr"></h:outputText>
                                </div>
                                <div class="Disponibility"
                                     style="display: flex; justify-content:flex-start">
                                    <b:iconAwesome value="fa-clock-o" size="2x"/>
                                    <h:outputText class="PeriodInput"
                                                  style="margin-left : 5rem; font-weight: bold"
                                                  value="3 mois après la signature"></h:outputText>
                                </div>
                            </div>
                            <div class="candidateName" style="flex:3; display: flex; justify-content: flex-end; ">
                                <h1 class="candidateNameTitle"
                                    style="margin-left: 3rem; color: black; font-weight: bold"></h1>
                            </div>
                        </div>
                        <div class="butonList"
                             style="display: flex; justify-content: space-between">
                            <div class="ProposeButton"
                                 style="display: flex;justify-content: space-around; flex: 1">

                                    <h:outputText style="visibility: hidden" class="InputIdCandidate" ></h:outputText>
                                <select id="InputJobToPropose">
                                    <option value="">--Choisissez un poste--</option>
                                    <c:forEach items="#{mbJob.jobs}" var="job" > <option value="#{job.getId()}">#{job.getTitle()}</option></c:forEach>
                                </select>
                                    <b:button title="Proposer" value="Proposer" look="warning"
                                            style="width:100%; cursor:pointer; margin-left:4vw"
                                            onclick="proposeJob()"></b:button>
                            </div>
                            <div class="DlButton"
                                 style="flex: 2; display: flex; justify-content: flex-end">
                                <b:button class="DLResume" style=" margin-right: 4vw"
                                        look="info" target="_blank" value="Télécharger le CV"/>

                            </div>
                        </div>
                        <div class="Resume" style="height: 60vh;  margin-top: 2rem">
                            <iframe class="ResumeInput"
                                    width="100%"
                                    height="100%"></iframe>
                        </div>

                    </b:form>

                </div>
            </div>
        </div>

        <b:modal title="Rechercher un candidat" styleClass="filterModal" closable="false"
                 close-on-escape="false" backdrop="false">
            <div class="field">
                <h:form>
                    <fieldset>
                        <legend>Choisissez les filtres à appliquer</legend>
                         <div class="citySelection">
                            <label>Lieu de résidence</label>
                            <b:row>
                                <b:column colMd="2" colXs="2" colSm="2"
                                          style="text-align:center; vertical-align: bottom;">
                                    <h:outputText style="font-weight: bold" value="Code postal"/>
                                </b:column>
                                <b:column colMd="4" colXs="4" colSm="4">
                                    <h:outputScript library="js" name="city.js"></h:outputScript>
                                    <b:remoteCommand name="SetCityInfo"
                                                     actionListener="#{mbCandidate.setCityInfo}"
                                                     parameters="CityInfo"/>
                                    <div class="form-group">
                                        <div><b:inputText placeholder="Saisissez un code postal"
                                                          class="postalCodeInput" onkeyup="postalCodes()"/>
                                        </div>
                                        <div class="postalCodeSelect">
                                        </div>
                                    </div>
                                </b:column>

                                <b:column colMd="2" colXs="2" colSm="2"
                                          style="text-align:center; vertical-align: bottom;">
                                    <h:outputText style="font-weight: bold" value="Ville"/>
                                </b:column>
                                <b:column colMd="4" colXs="4" colSm="4">
                                    <div class="citySelect">
                                    </div>
                                    <div><b:inputText style="visibility: hidden;" class="cityInput"/></div>
                                </b:column>
                            </b:row>
                             <b:row>
                                 <b:column colMd="12" colXs="12" colSm="12"
                                           style="display:flex; ">
                                     <b:slider2 style="flex:1" styleClass="flex:1" mode="edit" label="Rayon autour de la ville recherchée" handle-shape="round" value="#{mbCandidate.radius}" min="0" max="200" />
                       </b:column>
                         </b:row>
                             <b:remoteCommand name="SetCityInfo" actionListener="#{mbCandidate.setCityInfo}" parameters="CityInfo" />
                        </div>
                        <div class="">
                            <label>Prétention salariale</label>
                            <b:inputText class="inputMinSalary" value="#{mbCandidate.minSalary}"
                                         placeholder="Fourchette basse (brut annuel)"/> <b:inputText
                                class="inputMaxSalary" value="#{mbCandidate.maxSalary}"
                                placeholder="Fourchette haute (brut annuel)"/>
                        </div>
                        <div class="time"
                             style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                            <label style="flex:1;" for="timeSelect">Disponibilité</label>
                            <b:selectOneMenu value="#{mbJob.workingTimeId}"
                                             style="flex:1;text-align: center;" class="timeSelectInput"
                                             id="timeSelect">
                                <f:selectItem itemLabel="(Sélectionnez un délai de disponibilité)" itemValue="" />
                                <f:selectItems var="period" value="#{mbCandidate.periods}" itemValue="#{period.id}"
                                               itemLabel="#{period.name}"/>
                            </b:selectOneMenu>
                        </div>
                        <div class="Diploma"
                             style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                            <label style="flex:1;" for="diplomaSelect">Niveau de diplôme</label>
                            <b:selectOneMenu value="#{mbCandidate.levelId}"
                                             style="flex:1;text-align: center;" class="diplomaSelectInput"
                                             id="diplomaSelect">
                                <f:selectItem itemLabel="(Sélectionnez un niveau de diplôme)" itemValue="" />
                                <f:selectItems var="level" value="#{mbJob.levels}" itemValue="#{level.id}"
                                               itemLabel="#{level.level}"/>
                            </b:selectOneMenu>
                        </div>

                    </fieldset>
                    <div class="buttonSet"
                         style="display: flex;flex-direction: row; justify-content: space-evenly">
                        <b:commandButton value="Filtrer" look="primary"  dismiss="modal" action="#{mbCandidate.filterCandidate()}"/>
                        <b:button value="Annuler" dismiss="modal"/>
                    </div>
                </h:form>
            </div>
        </b:modal>
     </c:if>
        <c:if test="#{mbLogin.sessionRecruiter==null}">
        <h1>Veuillez vous connecter pour acceder aux candidats</h1>
        </c:if>
    </ui:define>
</ui:composition>

</html>